Resolido Docs
Channels

Set up sending domain

POST
/sending-domains

Start verifying a domain for sending email from your own address; returns DNS records to publish. Owner/admin.

Authorization

bearer channels:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: channels:write

Request Body

application/json
  1. body
domainOrEmail*string

Domain or from-address, e.g. shop.cz or [email protected].

Length3 <= length <= 254
displayName?string
Lengthlength <= 100

Response Body

Success

application/json
  1. response
domain*string
status*string
dnsRecords*array<>
instructions*string
curl -X POST "https://example.com/sending-domains" \  -H "Content-Type: application/json" \  -d '{    "domainOrEmail": "string"  }'
{  "domain": "string",  "status": "string",  "dnsRecords": [    {      "type": "string",      "name": "string",      "value": "string",      "purpose": "string"    }  ],  "instructions": "string"}